Bug 225739 - Delete WebSQL code from WebKit2
Summary: Delete WebSQL code from WebKit2
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKit2 (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Ryosuke Niwa
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2021-05-13 02:40 PDT by Ryosuke Niwa
Modified: 2021-05-15 23:37 PDT (History)
10 users (show)

See Also:


Attachments
Patch (51.95 KB, patch)
2021-05-13 03:00 PDT, Ryosuke Niwa
no flags Details | Formatted Diff | Diff
Patch (21.77 KB, patch)
2021-05-14 01:18 PDT, Ryosuke Niwa
no flags Details | Formatted Diff | Diff
Patch (22.02 KB, patch)
2021-05-14 14:26 PDT, Ryosuke Niwa
no flags Details | Formatted Diff | Diff
Patch for landing (23.17 KB, patch)
2021-05-14 16:30 PDT, Ryosuke Niwa
no flags Details | Formatted Diff | Diff
Patch for landing (23.85 KB, patch)
2021-05-14 23:54 PDT, Ryosuke Niwa
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ryosuke Niwa 2021-05-13 02:40:17 PDT
We don't need WebSQL support in WebKit2 anymore. Delete the code.
Comment 1 Ryosuke Niwa 2021-05-13 03:00:15 PDT
Created attachment 428478 [details]
Patch
Comment 2 Sihui Liu 2021-05-13 08:49:48 PDT
Comment on attachment 428478 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=428478&action=review

> Source/WebKit/ChangeLog:17
> +        (WebKit::m_messagePortChannelRegistry): Deleted.

Deleted?

> Source/WebKit/ChangeLog:26
> +        * Shared/WebSQLiteDatabaseTracker.cpp: Removed.
> +        * Shared/WebSQLiteDatabaseTracker.h: Removed.

Despite its name, WebSQLiteDatabaseTracker is actually responsible for monitoring all SQLite operations (network process uses it to notify UI process to not suspend it during database operations, see SQLiteDatabaseTracker), so this seems wrong.

> Source/WebKit/ChangeLog:42
> +        (WebKit::m_lastNavigationWasAppBound):

I didn't see related change in this patch.
Comment 3 Ryosuke Niwa 2021-05-13 15:48:05 PDT
(In reply to Sihui Liu from comment #2)
> Comment on attachment 428478 [details]
> Patch
> 
> View in context:
> https://bugs.webkit.org/attachment.cgi?id=428478&action=review
> 
> > Source/WebKit/ChangeLog:17
> > +        (WebKit::m_messagePortChannelRegistry): Deleted.
> 
> Deleted?
> 
> > Source/WebKit/ChangeLog:26
> > +        * Shared/WebSQLiteDatabaseTracker.cpp: Removed.
> > +        * Shared/WebSQLiteDatabaseTracker.h: Removed.
> 
> Despite its name, WebSQLiteDatabaseTracker is actually responsible for
> monitoring all SQLite operations (network process uses it to notify UI
> process to not suspend it during database operations, see
> SQLiteDatabaseTracker), so this seems wrong.

Oh, I see.
Comment 4 Ryosuke Niwa 2021-05-14 01:18:09 PDT
Created attachment 428610 [details]
Patch
Comment 5 Sam Weinig 2021-05-14 08:38:26 PDT
Comment on attachment 428610 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=428610&action=review

> Source/WTF/ChangeLog:3
> +        Delete WebSQL code from WebKit2

This seems to also be removing the WebKitLegacy code, is that intentional?
Comment 6 Ryosuke Niwa 2021-05-14 14:26:10 PDT
(In reply to Sam Weinig from comment #5)
> Comment on attachment 428610 [details]
> Patch
> 
> View in context:
> https://bugs.webkit.org/attachment.cgi?id=428610&action=review
> 
> > Source/WTF/ChangeLog:3
> > +        Delete WebSQL code from WebKit2
> 
> This seems to also be removing the WebKitLegacy code, is that intentional?

Oh yeah, that was definitely not intentional. I was going to rename it and forgot to add the new one.
Comment 7 Ryosuke Niwa 2021-05-14 14:26:36 PDT
Created attachment 428658 [details]
Patch
Comment 8 Ryosuke Niwa 2021-05-14 16:30:31 PDT
Created attachment 428682 [details]
Patch for landing
Comment 9 Ryosuke Niwa 2021-05-14 16:30:55 PDT
Comment on attachment 428682 [details]
Patch for landing

Wait for EWS.
Comment 10 Ryosuke Niwa 2021-05-14 23:54:57 PDT
Created attachment 428720 [details]
Patch for landing
Comment 11 Ryosuke Niwa 2021-05-14 23:55:50 PDT
Comment on attachment 428720 [details]
Patch for landing

Wait for EWS.
Comment 12 EWS 2021-05-15 23:36:41 PDT
Committed r277564 (237792@main): <https://commits.webkit.org/237792@main>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 428720 [details].
Comment 13 Radar WebKit Bug Importer 2021-05-15 23:37:17 PDT
<rdar://problem/78070560>